package org.hso.ecommerce.controller.intern;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletResponse;

@Controller
@RequestMapping("intern")
public class InternRequestController {

    static int notSoRandom = 0;

    @GetMapping("/")
    public String intern() {
        return "intern/index";
    }

    @GetMapping("/listedArticles/")
    public String internListedArticles() {
        return "intern/listedArticles/index";
    }

    @GetMapping("/listedArticles/{id}")
    public String internListedArticlesId() {
        return "intern/listedArticles/id";
    }


    @GetMapping("/articles/")
    public String internArticles() {
        return "intern/articles/index";
    }

    @GetMapping("/articles/{id}")
    public String internArticlesId() {
        return "intern/articles/id";
    }

    @GetMapping("/customers/")
    public String internCustomers() {
        return "intern/customers/index";
    }

    @GetMapping("/customers/{id}")
    public String internCustomersId() {
        return "intern/customers/id";
    }

    @GetMapping("/customerOrders/")
    public String internCustomerOrder() {
        return "intern/customerOrders/index";
    }

    @GetMapping("/customerOrders/{id}")
    public String internCustomerOrdersId() {
        return "intern/customerOrders/id";
    }

    @GetMapping("/suppliers/")
    public String internSuppliers() {
        return "intern/suppliers/index";
    }

    @GetMapping("/suppliers/{id}")
    public String internSuppliersId() {
        return "intern/suppliers/id";
    }

    @GetMapping("/supplierOrders/")
    public String internSupplierOrders() {
        return "intern/supplierOrders/index";
    }

    @GetMapping("/supplierOrders/{id}")
    public String internSupplierOrdersId() {
        return "intern/supplierOrders/id";
    }

    @GetMapping("/accounting/")
    public String accounting() {
        return "intern/accounting/index";
    }

    @GetMapping("/accounting/vat")
    public String accountingVat() {
        return "intern/accounting/vat";
    }

    @GetMapping("/accounting/main")
    public String accountingIntern() {
        return "intern/accounting/main";
    }

    @GetMapping("/accounting/addManual")
    public String accountingAddManual() {
        return "intern/accounting/addManual";
    }

    @GetMapping("/warehouse/")
    public String accountingWarehouse() {
        return "intern/warehouse/index";
    }

    @GetMapping("/warehouse/todo")
    public String accountingWarehouseTodo() {
        return "intern/warehouse/todo";
    }

    @GetMapping("/warehouse/addManual")
    public String accountingWarehouseAddManual() {
        return "intern/warehouse/addManual";
    }

    @PostMapping("/warehouse/progress/{id}")
    public String accountingWarehouseProgressIdPost(HttpServletResponse response) {
        if ((notSoRandom++) % 2 == 1) {
            return "redirect:/intern/warehouse/progress/450";
        } else {
            response.setStatus(409);
            return "intern/warehouse/error_progress_failed";
        }
    }

    @GetMapping("/warehouse/progress/{id}")
    public String accountingWarehouseProgressId() {
        return "intern/warehouse/id_progress";
    }

    @GetMapping("/warehouse/slots/")
    public String accountingWarehouseSlots() {
        return "intern/warehouse/slots/index";
    }

}
